import request from '@/utils/request'

// 获取物料列表信息以及表头字段
export function materialList(data) {

  return request({
    url: `/system/material/list`,
    method: 'post',
    data: data
  })
}

// 获取物料基本信息详细信息
export function materialDetails(id, templateCode) {
  return request({
    url: `/system/material/details/${id}`,
    method: 'get',
    params: { templateCode }
  })
}

// 获取医药行业信息详细信息+表单属性
export function medcineDetails(id, templateCode) {
  return request({
    url: `/system/medcine/details/${id}`,
    method: 'get',
    params: { templateCode }
  })
}