import request from "@/utils/request";

import { parseStrEmpty } from "@/utils/ruoyi";

// fetch table template list
export function list(data, page) {
  return request({
    url: "/system/template/list",
    method: "post",
    data: data,
    params: page,
  });
}

// fetch table template item
export function item(id) {
  return request({
    url: "/system/template/detail/" + parseStrEmpty(id),
    method: "get",
  });
}
